%define prefix /usr
%define name peg-e
%define version 1.2.2
%define release %mkrel 1
%define url http://gottcode.org/peg-e/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Games/Boards
URL:		%{url}
Source:		http://gottcode.org/peg-e/%{name}-%{version}-src.tar.xz
Summary:	Peg elimination game
Summary(de):	Peg Beseitigung Spiel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildConflicts: %{_lib}qt4-devel
Requires:	%{_lib}qt5core5	
Obsoletes:	%name < %version

%description
Peg-E is a peg solitaire game in which you jump over pieces in order 
to remove them from the board, ultimately trying to eliminate all but 
one. 
The boards are randomly generated, with 100 levels of difficulty. The 
game auto-saves, and has undo-redo capability. 
Pieces can move horizontally, vertically, and diagonally.

#german
%description -l de
Peg-E ist ein Peg Solitaire-Spiel, in dem Sie mit einer Kugel über andere 
springen, um diese vom Brett zu entfernen, Sie müssen alle bis auf eine 
beseitigen um das Spiel zu gewinnen.
Die Spiele werden zufällig generiert, mit 100 Schwierigkeitsgrade. Das
laufende Spiel wird automatisch speichert, und hat Undo-Redo-Funktion.
Die Kugel kann horizontal, vertikal und diagonal bewegt werden.

%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Peg-E
GenericName=PEG Game
GenericName[de]=PEG Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=%{name}
Exec=%{name} %F
Terminal=false
Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Boards;
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog 
%{_bindir}/%{name}
%{_datadir}/appdata/peg-e.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/peg-e/translations/pege_en.qm
%{_datadir}/peg-e/translations/pege_fr.qm
%{_datadir}/peg-e/translations/pege_he.qm
%{_datadir}/peg-e/translations/pege_nl.qm
%{_datadir}/peg-e/translations/pege_ro.qm
%{_datadir}/peg-e/translations/pege_de.qm
%{_datadir}/peg-e/translations/pege_cs.qm
%{_datadir}/peg-e/translations/pege_el.qm
%{_datadir}/peg-e/translations/pege_es.qm
%{_datadir}/peg-e/translations/pege_lt.qm
%{_datadir}/peg-e/translations/pege_ms.qm
%{_datadir}/peg-e/translations/pege_pl.qm
%{_datadir}/peg-e/translations/pege_ru.qm
%{_datadir}/peg-e/translations/pege_tr.qm
%{_datadir}/peg-e/icons/hicolor/*/*.png
%{_datadir}/peg-e/icons/hicolor/index.theme
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/peg-e.xpm
%{_iconsdir}/hicolor/*/apps/peg-e.png
%{_iconsdir}/hicolor/*/apps/peg-e.svg
%{_mandir}/man6/peg-e.*.bz2


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Jan 01 2017 adrianomorselli <adrianomorselli> 1.2.2-1uplos2017
- rebuild

* Sun Oct 09 2016 daniel <meisssw01 at gmail.com> 1.2.2-1pclos2016
- update

* Thu Apr 11 2013 daniel <meisssw01 at gmail.com> 1.1.2-2pclos2013
- add german language

* Sun Mar 24 2013 daniel <meisssw01 at gmail.com> 1.1.2-1pclos2013
- upstream tarball

* Mon Mar 12 2012 leiche <meisssw01 at gmail.com> 1.0.4-1pclos2012
- initial packages
